diff -Npur dash-to-dock.orig/locations.js dash-to-dock/locations.js
--- dash-to-dock.orig/locations.js	2021-05-29 08:35:50.300304000 +0200
+++ dash-to-dock/locations.js	2021-05-29 08:37:57.276973385 +0200
@@ -513,14 +513,6 @@ var Removables = class DashToDock_Remova
             icon = icon.get_icon();
         }
         if (icon instanceof Gio.ThemedIcon) {
-            const { iconTheme } = Docking.DockManager.getDefault();
-            let names = icon.get_names();
-            for (let i = 0; i < names.length; i++) {
-                let iconName = names[i];
-                if (iconTheme.has_icon(iconName)) {
-                    return iconName;
-                }
-            }
             return '';
         } else {
             return icon.to_string();
